Skip to main content
GET
/
identity
/
v1
/
users
Lists users from organizations that have a downstream relationship with the caller's organization.
curl --request GET \
  --url https://api.sandbox.tesouro.com/identity/v1/users \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdDateTime": "2023-11-07T05:31:56Z",
      "email": "<string>",
      "name": "<string>",
      "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organizationName": "<string>",
      "status": "<string>",
      "jobTitle": "<string>",
      "lastLoggedInDateTime": "2023-11-07T05:31:56Z"
    }
  ],
  "nextPaginationToken": "<string>",
  "prevPaginationToken": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

OrganizationId
string<uuid>

Filter to a specific related organization.

OrganizationType
enum<string>

Filter by organization type (VERTICAL_SOFTWARE_PROVIDER, EMBEDDED).

Available options:
BANK,
EMBEDDED,
PLATFORM,
TRANSACTOR,
VERTICAL_SOFTWARE_PROVIDER
Limit

Maximum number of results to return (default: 20, max: 100).

PaginationToken
string

Opaque pagination token from a previous response for cursor-based navigation.

Status
enum<string>

Filter by user status (default: ACTIVE). Filter for user status when querying users.

Available options:
ACTIVE,
INACTIVE,
INVITED,
ALL

Response

Returns the list of users from related organizations.

Response DTO for listing users from related organizations.

data
object[]
required
nextPaginationToken
null | string

A token to pass as pagination_token to get the next page of results. Null if there are no more pages after this one.

prevPaginationToken
null | string

A token to pass as pagination_token to get the previous page of results. Null if this is the first page.